(ns equilibrium.core
  (:require [clojure.string :as string]))

(defn clean-name [filename]
  (let [end (- (count filename) 3)
        start (inc (or (string/index-of filename "+") -1))]
    (subs filename start end)))

(defn filename [file]
  (-> file
      .toPath
      .getFileName
      .toString))
